NEARBYINT(3)

NAME
nearbyint, nearbyintf - round to integer

SYNOPSIS

#include <math.h>

double nearbyint(double x);

float nearbyintf(float x);

DESCRIPTION

The nearbyint functions round their argument to an integer value in floating-point format, using the current rounding direction and (supposedly) without raising the "inexact" floating-point exception. See the rint functions for the same function with the "inexact" floating-point exception being raised when appropriate.

BUGS

Newlib does not support the floating-point exception model, so that the floating-point exception control is not present and thereby what may be seen will be compiler and hardware dependent in this regard. The Newlib nearbyint functions are identical to the rint functions with respect to the floating-point exception behavior, and will cause the "inexact" exception to be raised for most targets.

RETURNS

x rounded to an integral value, using the current rounding direction.

PORTABILITY

ANSI C, POSIX

SEE ALSO

rint, round